Loading...
Searching...
No Matches
irr::core::map< KeyType, ValueType >::ParentFirstIterator Class Reference

Parent First Iterator. More...

`#include <irrMap.h>`

## Public Member Functions

| ParentFirstIterator ()
| ParentFirstIterator (Node *root)
bool | atEnd () const
Node * | getNode ()
Node & | operator* ()
void | operator++ (int)
Node * | operator-> ()
ParentFirstIterator & | operator= (const ParentFirstIterator &src)
void | reset ()

## Detailed Description

template<class KeyType, class ValueType>
class irr::core::map< KeyType, ValueType >::ParentFirstIterator

Parent First Iterator.

Traverses the tree from top to bottom. Typical usage is when storing the tree structure, because when reading it later (and inserting elements) the tree structure will be the same.

Definition at line 441 of file irrMap.h.

## Constructor & Destructor Documentation

## ParentFirstIterator() [1/2]

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::ParentFirstIterator::ParentFirstIterator | ( |  | ) |

inline

Definition at line 445 of file irrMap.h.

Referenced by operator=().

## ParentFirstIterator() [2/2]

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::ParentFirstIterator::ParentFirstIterator | ( | Node * | root | ) |

inline explicit

Definition at line 447 of file irrMap.h.

References reset().

## Member Function Documentation

## atEnd()

template<class KeyType, class ValueType>

bool irr::core::map< KeyType, ValueType >::ParentFirstIterator::atEnd | ( |  | ) | const

inline

Definition at line 457 of file irrMap.h.

References _IRR_IMPLEMENT_MANAGED_MARSHALLING_BUGFIX.

Referenced by operator*().

## getNode()

template<class KeyType, class ValueType>

Node * irr::core::map< KeyType, ValueType >::ParentFirstIterator::getNode | ( |  | ) |

inline

Definition at line 463 of file irrMap.h.

Referenced by operator*(), and operator->().

## operator*()

template<class KeyType, class ValueType>

Node & irr::core::map< KeyType, ValueType >::ParentFirstIterator::operator* | ( |  | ) |

inline

Definition at line 485 of file irrMap.h.

References _IRR_DEBUG_BREAK_IF, atEnd(), and getNode().

## operator++()

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::ParentFirstIterator::operator++ | ( | int |  | ) |

inline

Definition at line 475 of file irrMap.h.

## operator->()

template<class KeyType, class ValueType>

Node * irr::core::map< KeyType, ValueType >::ParentFirstIterator::operator-> | ( |  | ) |

inline

Definition at line 480 of file irrMap.h.

References getNode().

## operator=()

template<class KeyType, class ValueType>

ParentFirstIterator & irr::core::map< KeyType, ValueType >::ParentFirstIterator::operator= | ( | const ParentFirstIterator & | src | ) |

inline

Definition at line 468 of file irrMap.h.

References ParentFirstIterator().

## reset()

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::ParentFirstIterator::reset | ( |  | ) |

inline

Definition at line 452 of file irrMap.h.

Referenced by ParentFirstIterator().

The documentation for this class was generated from the following file:

- irrMap.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0